From 212a79e518c8e68bc7d136f46579821079d8c7e3 Mon Sep 17 00:00:00 2001
From: wangw <wangw.fnst@fujitsu.com>
Date: Fri, 13 Jan 2023 13:32:20 +0800
Subject: [PATCH] Add tmp log for debug

---
 src/backend/replication/logical/reorderbuffer.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/backend/replication/logical/reorderbuffer.c b/src/backend/replication/logical/reorderbuffer.c
index ea37b0bbe8..ab4eda29f6 100644
--- a/src/backend/replication/logical/reorderbuffer.c
+++ b/src/backend/replication/logical/reorderbuffer.c
@@ -3506,6 +3506,9 @@ ReorderBufferCheckMemoryLimit(ReorderBuffer *rb)
 		}
 		else
 		{
+			elog(LOG, "tmp test, before serialization, rb->size is %zu", rb->size);
+			MemoryContextStats(rb->context);
+
 			/*
 			 * Pick the largest transaction (or subtransaction) and evict it
 			 * from memory by serializing it to disk.
@@ -3518,6 +3521,9 @@ ReorderBufferCheckMemoryLimit(ReorderBuffer *rb)
 			Assert(rb->size >= txn->size);
 
 			ReorderBufferSerializeTXN(rb, txn);
+
+			elog(LOG, "tmp test, after serialization, rb->size is %zu", rb->size);
+			MemoryContextStats(rb->context);
 		}
 
 		/*
-- 
2.31.1

